package hdm.mi.growbros.service;

import hdm.mi.growbros.models.dto.PlantUpdateRequest;
import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.repositories.PlantRepository;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import static org.junit.jupiter.api.Assertions.assertEquals;

@SpringBootTest
@ActiveProfiles("test")
class PlantsServiceIntegrationTest {
    @Autowired
    private PlantsService plantsService;

    @Autowired
    private PlantRepository plantRepository;

    private static Plant plant;

    @BeforeAll
    static void setup(@Autowired PlantRepository plantRepository) {
        plant = plantRepository.save(Plant.builder().name("My plant!").build());
    }

    @Test
    void canUpdatePlant() {
        String newName = "new name!";
        plantsService.updatePlant(plant.getId(), PlantUpdateRequest.builder().name(newName).build());
        assertEquals(newName, plantRepository.findById(plant.getId()).get().getName());
    }
}
